#include <stdio.h>
#include <stdlib.h>
#include <conio.h>
#include <dos.h>

#define TRUE  1
#define FALSE 0

#define NUM_TITLES 110

char titles [NUM_TITLES] [13] = {
"CRITICA.TXT",
"NUNCDESM.TXT",
"PLANTAR.TXT",
"CALUNIA.TXT",
"CONCIENC.TXT",
"HOJE.TXT",
"PROSSIGA.TXT",
"CONTINUE.TXT",
"MENTE.TXT",
"MELHORA.TXT",
"DESENV.TXT",
"DIFUNDIR.TXT",
"BENS.TXT",
"DESCANSO.TXT",
"LIGUE-SE.TXT",
"PENSEBEM.TXT",
"POSTURA.TXT",
"ANSIEDAD.TXT",
"PAI.TXT",
"ELOGIO.TXT",
"CONSTANT.TXT",
"COMPREEN.TXT", 
"EXPOR.TXT", 
"ENCONTRO.TXT", 
"ESPACO.TXT", 
"LAMENTO.TXT", 
"DESPERTE.TXT", 
"AFASTE.TXT", 
"POLITICA.TXT", 
"CONSOLAC.TXT", 
"PRECE.TXT", 
"PETITORI.TXT", 
"CRIANCA.TXT", 
"RELIGIAO.TXT", 
"SONHOS.TXT", 
"PATRIA.TXT", 
"NATUREZA.TXT", 
"ANIMAIS.TXT", 
"ARMARIOS.TXT", 
"EDUCACAO.TXT", 
"DENTRO.TXT", 
"AJUDE.TXT", 
"PROXIMO.TXT", 
"IRRITACA.TXT", 
"PERDOE.TXT",
"MODELO.TXT",
"DEUSMORA.TXT", 
"ABELHA.TXT", 
"CHAGAS.TXT", 
"EDUCADO.TXT", 
"RESPIRAR.TXT", 
"MANTENHA.TXT", 
"INGRATID.TXT", 
"RECEBE.TXT", 
"MAE.TXT", 
"OTIMISTA.TXT", 
"TRABALHE.TXT", 
"IDADE.TXT", 
"ACEITE.TXT", 
"NAOFUJA.TXT", 
"VIVANATU.TXT", 
"TEREFAS.TXT", 
"PROGRED.TXT", 
"VENCED.TXT", 
"PUBLICO.TXT",
"DEDIQUE.TXT",
"NOIVA.TXT", 
"PENSE.TXT", 
"CAMINHE.TXT", 
"CELULAS.TXT", 
"DEFEITO.TXT", 
"TRABALHO.TXT", 
"VOZ.TXT", 
"MONTANHA.TXT", 
"CHEFE.TXT", 
"MOMENTO.TXT", 
"PENSDEUS.TXT", 
"AMANHA.TXT", 
"AJUDA.TXT", 
"LAGRIMAS.TXT", 
"DIRIGE.TXT", 
"DIVIDIR.TXT", 
"SE-LIGUE.TXT", 
"SALVACAO.TXT", 
"CONSCIEN.TXT", 
"DISTRIB.TXT", 
"SERVI-LO.TXT", 
"ENCORAJ.TXT", 
"IMPULS.TXT", 
"CONSTRUA.TXT",
"AJUDAR.TXT",
"ENFERM.TXT",
"MORANDO.TXT",
"OTIMISMO.TXT",
"FRUTOS.TXT",
"JORNADA.TXT",
"DOR.TXT",
"FUNDO.TXT",
"FERIR.TXT",
"VER.TXT",
"CALUNIAD.TXT",
"TERRA.TXT",
"CAPACID.TXT",
"NDESISTA.TXT",
"MUNDO.TXT",
"HINO.TXT",
"ALTO.TXT",
"FELIC.TXT",
"MORTENEX.TXT",
"FACA.TXT"
};


char *next_text_title () {

  FILE *conf;

  int index, next_index;


  conf = fopen ("textos.cfg", "r");

  if (conf != NULL) {

    fscanf (conf, "%d", &index);

    fclose (conf);

  } else {

    index = 0;

  }


  next_index = index + 1;

  conf = fopen ("textos.cfg", "w");

  if (next_index == NUM_TITLES)

    next_index = 0;

  if (conf != NULL) {

    fprintf (conf, "%d", next_index);

    fclose (conf);

  } else {

    printf ("Nao consegui criar textos.cfg\n");

    exit (0);

  }

  return titles [index];

}


void show_text (char *text) {

  FILE *file;

  char ch;


  char lines [30] [40];

  int line = 0,

      col = 0,

      scr_line,

      scr_col;

  int space = TRUE;


  file = fopen (text, "r");

  if (file == NULL) {

    printf ("Nao consegui abrir %s\n", text);

    exit (0);

  }

  while ((ch = fgetc (file)) != EOF) {

 //   if (ch != ' ' || ( ch == ' ' && !space) )

    ch--;

    lines [line] [col] = ch;

    if (ch == '\n') {

      line++;

      col = 0;

    } else {

      col++;

    }

//    space = FALSE;

//    if (ch == ' ')

//      space = TRUE;

  }

  lines [line] [col] = '$';


  fclose (file);



  clrscr ();

  textcolor (GREEN);

  line = col = scr_line = scr_col = 0;

  while ((ch = lines [line] [col]) != '$') {


    gotoxy (25 + scr_col, 2 + scr_line);

    cprintf ("%c", ch);

    if (ch == '\n') {

      line++; scr_line++;

      col = 0; scr_col= 0;

    } else {

      col++; scr_col++;

    }

  }

  gotoxy (30, 3 + scr_line);


  cprintf ("Minutos de Sabedoria");


  textcolor (DARKGRAY);

}


void filter_text () {

  FILE *file;

  char ch;

  int i;


  char lines [30] [40];

  int line, col;

  int space = TRUE;


  for (i = 0; i < NUM_TITLES; i++) {

    file = fopen (titles [i], "r");

    if (file == NULL) {

      printf ("Nao consegui abrir %s\n", titles [i]);

      exit (0);

    }

    line = col = 0;

    while ((ch = fgetc (file)) != EOF) {

   //   if (ch != ' ' || ( ch == ' ' && !space) )

      lines [line] [col] = ch;

      if (ch == '\n') {

	line++;

	col = 0;

      } else {

	col++;

      }

      putchar (ch);

  //    space = FALSE;

  //    if (ch == ' ')

  //      space = TRUE;

    }

    lines [line] [col] = '$';


    fclose (file);


    file = fopen (titles [i], "w");

    if (file == NULL) {

      printf ("Nao consegui criar %s\n", titles [i]);

      exit (0);

    }

    line = 0;

    col = 0;

    while ((ch = lines [line] [col]) != '$') {

      fputc (ch + 1, file);

      if (ch == '\n') {

	line++;

	col = 0;

      } else {

	col++;

      }

    }

    fclose (file);
  }
}



void main () {

  char *text;


  text = next_text_title ();

  printf ("%s\n", text);

//  filter_text ();

  show_text (text);

}